Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.accessibility
Interface AccessibleKeyBinding

    public interface AccessibleKeyBinding

The AccessibleKeyBinding interface should be supported by any object that has a keyboard bindings such as a keyboard mnemonic and/or keyboard shortcut which can be used to select the object. This interface provides the standard mechanism for an assistive technology to determine the key bindings which exist for this object. Any object that has such key bindings should support this interface. Applications can determine if an object supports the AccessibleKeyBinding interface by first obtaining its AccessibleContext (see @link Accessible} and then calling the `AccessibleContext#getAccessibleKeyBinding` method. If the return value is not null, the object supports this interface.

See Also:
  `Accessible`, `Accessible.getAccessibleContext()`, `AccessibleContext`, `AccessibleContext#getAccessibleKeyBinding`

Method Summary
`Object` | `getAccessibleKeyBinding(int i)` Returns a key binding for this object.
`int` | `getAccessibleKeyBindingCount()` Returns the number of key bindings for this object

Method Detail

### getAccessibleKeyBindingCount

    int getAccessibleKeyBindingCount()

  Returns the number of key bindings for this object

  Returns:
    the zero-based number of key bindings for this object

### getAccessibleKeyBinding

    Object getAccessibleKeyBinding(int i)

  Returns a key binding for this object. The value returned is an java.lang.Object which must be cast to appropriate type depending on the underlying implementation of the key. For example, if the Object returned is a javax.swing.KeyStroke, the user of this method should do the following: `Component c = AccessibleContext ac = c.getAccessibleContext(); AccessibleKeyBinding akb = ac.getAccessibleKeyBinding(); for (int i = 0; i < akb.getAccessibleKeyBindingCount(); i++) { Object o = akb.getAccessibleKeyBinding(i); if (o instanceof javax.swing.KeyStroke) { javax.swing.KeyStroke keyStroke = (javax.swing.KeyStroke)o; } }`

  Parameters:
    `i` - zero-based index of the key bindings
  Returns:
    a javax.lang.Object which specifies the key binding
  See Also:
    `getAccessibleKeyBindingCount()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.